I had some great help this week on redefining a couple of blocks (cap and res1) in a way I could incorporate into a batch routine. It should not matter if the block already exists or not in the drawing. The following is what I was attempting to use. It seems to run successfully and ends with the prompt 'CCT Element blocks redefined'. But it is not redefining the blocks. Can anyone see anything wrong? (defun C:REP () (progn (command "._insert" "cap=c:/NEWPATH/cap" "y") (command) (command "._insert" "res1=c:/NEWPATH/res1" "y") (command) (prompt " CCT Element blocks redefined.") (princ) ) ) Thanks D